Bug 234717 (spambayes) - Review Request: spambayes - Bayesian anti-spam filter
Summary: Review Request: spambayes - Bayesian anti-spam filter
Status: CLOSED NEXTRELEASE
Alias: spambayes
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Danielsen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-31 19:59 UTC by Christopher Stone
Modified: 2014-02-26 12:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-30 00:56:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
trond.danielsen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Complete review report. (4.91 KB, text/html)
2007-04-25 19:42 UTC, Trond Danielsen
no flags Details

Description Christopher Stone 2007-03-31 19:59:33 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/python-spambayes.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/python-spambayes-1.0.4-1.src.rpm

Description:
SpamBayes will attempt to classify incoming email messages as 'spam', 'ham'
(good, non-spam email) or 'unsure'. This means you can have spam or unsure
messages automatically filed away in a different mail folder, where it won't
interrupt your email reading. First SpamBayes must be trained by each user to
identify spam and ham. Essentially, you show SpamBayes a pile of email that
you like (ham) and a pile you don't like (spam). SpamBayes will then analyze
the piles for clues as to what makes the spam and ham different. For example;
different words, differences in the mailer headers and content style.  The
system then uses these clues to examine new messages.


NOTE: I am not an expert python packager, this package shows a lot of rpmlint warnings and it appears the python installer is changing permissions on files causing them.  I'm also not sure how to handle the bin files.  I tested this package with Kmail, and it seems to work.

Comment 1 Christopher Stone 2007-04-05 17:24:27 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/python-spambayes.spec
SRPM URL:
http://tkmame.retrogames.com/fedora-extras/python-spambayes-1.0.4-2.src.rpm

%changelog
* Thu Apr 05 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-2
- %%exclude pyo and pyc files from %%{_bindir}
- Add scriptlet to remove shebangs


Okay, added some stuff to remove the rpmlint warnings.  Still need to test this
out to make sure everything still works.

Comment 2 Trond Danielsen 2007-04-05 18:38:04 UTC
During byte compiling I get errors like this:

-----
  File "/usr/lib/python2.5/site-packages/spambayes/Corpus.py", line 81
SyntaxError: ('from __future__ imports must occur at the beginning of the file',
('/usr/lib/python2.5/site-packages/spambayes
/Corpus.py', 81, None, None))
-----

It might not be a problem, but I fixed it by removing the line that tries to
import __future__ since it is no longer needed. I added this line to the %prep
section:

-----
# Fixes warnings during byte compiling.
sed -i "s/from __future__ import generators//" spambayes/*.py
-----

I've tested it and it builds in mock on rawhide i386. I've also tested building
it on fc6 x86_64. No problems so far.


Comment 3 Christopher Stone 2007-04-05 20:27:15 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/python-spambayes.spec
SRPM URL:
http://tkmame.retrogames.com/fedora-extras/python-spambayes-1.0.4-3.src.rpm

%changelog
* Thu Apr 05 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-3
- Add patch to fix python2.5 errors


Comment 4 Trond Danielsen 2007-04-08 17:46:31 UTC
The package looks good to me, but I cannot assign the package to my self.
Shouldn't the package block FE_NEW?

Comment 5 Christopher Stone 2007-04-25 19:03:37 UTC
Trond, did you get your bugzilla accounts sorted out?

Comment 6 Rex Dieter 2007-04-25 19:19:56 UTC
fwiw, rpmlint is clean on both src.rpm and built .noarch rpm.  neat.

Comment 7 Trond Danielsen 2007-04-25 19:34:38 UTC
(In reply to comment #5)
> Trond, did you get your bugzilla accounts sorted out?

Indeed I did! Sorry for the slow progress. I will finish the review today.

Comment 8 Trond Danielsen 2007-04-25 19:42:05 UTC
Created attachment 153445 [details]
Complete review report.

Comment 9 Trond Danielsen 2007-04-25 19:44:17 UTC
Package looks good to me! APPROVED by Trond Danielsen.

Comment 10 Christopher Stone 2007-04-25 20:39:05 UTC
New Package CVS Request
=======================
Package Name: python-spambayes
Short Description: Bayesian anti-spam filter
Owners: chris.stone@gmail.com
Branches: FC-5 FC-6 EL-5
InitialCC:

Comment 11 Warren Togami 2007-04-28 04:00:11 UTC
Before we add this, a question.

python-$name naming was originally intended to be used mainly for libraries, not
the leaf-node applications.
yum isn't called python-yum.
system-config-securitylevel is not called python-system-config-security level.

It might be best to name the Fedora package just plain "spambayes" because that
matches the upstream name, and that is what people would expect it be called
when they try to install it?


Comment 12 Christopher Stone 2007-04-28 06:12:17 UTC
Yes, I added python- because I thought it was needed.  Updated version to change
name to just spambayes:

Spec URL: http://tkmame.retrogames.com/fedora-extras/spambayes.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/spambayes-1.0.4-3.src.rpm

%changelog
* Fri Apr 27 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-4
- Remove python from package name

New Package CVS Request
=======================
Package Name: spambayes
Short Description: Bayesian anti-spam filter
Owners: chris.stone@gmail.com
Branches: FC-5 FC-6 EL-5
InitialCC:

Comment 13 Christopher Stone 2007-04-28 06:13:32 UTC
oops forgot to edit my copy&paste, fixed URL:

SRPM URL: http://tkmame.retrogames.com/fedora-extras/spambayes-1.0.4-4.src.rpm



Comment 14 Trond Danielsen 2007-04-28 07:48:09 UTC
(In reply to comment #11)
> Before we add this, a question.
> 
> python-$name naming was originally intended to be used mainly for libraries, not
> the leaf-node applications.
> yum isn't called python-yum.
> system-config-securitylevel is not called python-system-config-security level.
> 
> It might be best to name the Fedora package just plain "spambayes" because that
> matches the upstream name, and that is what people would expect it be called
> when they try to install it?
> 

Whops, sorry for not catching that during the review :(.

Comment 15 Christopher Stone 2007-04-30 00:56:33 UTC
Built on all branches, thanks for the review!

Comment 16 Christopher Meng 2014-02-26 03:01:58 UTC
Package Change Request
======================
Package Name: spambayes
New Branches: epel7
Owners: pghmcfc cicku

Comment 17 Gwyn Ciesla 2014-02-26 12:57:52 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.